#!/bin/sh

cd ${0%${0##*/}}.

#JAVA_HOME=/opt/jre
#BGCASHCHECK_SERVER_DIR=/opt/BGCashcheckServer

if [ -z "$JAVA_HOME" ]; then
  echo "The JAVA_HOME environment variable is not defined"
  echo "This environment variable is needed to run this program"
  exit 1
fi

if [ -z "$BGCASHCHECK_SERVER_DIR" ]; then
  echo "The BGCASHCHECK_SERVER_DIR environment variable is not defined"
  echo "This environment variable is needed to run this program"
  exit 1
fi

PATH=$PATH:$JAVA_HOME/bin

CLASSPATH=${BGCASHCHECK_SERVER_DIR}:${BGCASHCHECK_SERVER_DIR}/lib/*:${BGCASHCHECK_SERVER_DIR}/lib/app/*:${BGCASHCHECK_SERVER_DIR}/lib/ext/*

# nohup ... &
${JAVA_HOME}/bin/java -Dnetworkaddress.cache.ttl=3600 -Djava.awt.headless=true -cp ${CLASSPATH} ru.bitel.frk.server.TestServer $1 $2 $3 $4 $5 $6 $7 $8 $9 
